[package]
name = "xtask"
version = "0.1.0"
edition = "2021"
build = "build.rs"

[dependencies]
clap = { version = "4.5.1", features = ["env", "derive"] }
git2 = "0.18.2"
thiserror = "1.0.57"

qemu = { path = "../lib/qemu" }
toml = "0.8.10"
serde = { version = "1.0.197", features = ["derive"] }
which = "6.0.0"
walkdir = "2.5.0"
tar = "0.4.40"
env_logger = "0.11.2"
log = "0.4.21"
dependency-graph = "0.1.5"
semver = { version = "1.0.22", features = ["serde"] }
fatfs = "0.3.6"
fscommon = "0.1.1"
indicatif = "0.17.9"
